NETGROUP_MKDB(8)

NAME
netgroup_mkdb - generate the netgroup databases

SYNOPSIS
netgroup_mkdb [-o database] [file]

DESCRIPTION
netgroup_mkdb creates Berkeley databases for the specified file. If no file is specified, /etc/netgroup is used. These databases are then installed into /etc/netgroup.db. The file must be in the correct format (see netgroup(5)).

The options are as follows:

-o database
    Put the output databases in the named file.

The databases are used by the C library netgroup routines (see getnetgrent(3)).

FILES
/etc/netgroup.db
    current netgroup database
/etc/netgroup.db.tmp
    a temporary file
/etc/netgroup
    current netgroup file

EXIT STATUS

SEE ALSO
dbopen(3), getnetgrent(3), netgroup(5)

BUGS
Because netgroup_mkdb guarantees not to install a partial destination file, it must build a temporary file in the same file system and if successful use rename(2) to install over the destination file.

If netgroup_mkdb fails, it will leave the previous version of the destination file intact.